"""Unit tests for email detector."""

from src.detections import EmailDetection
from src.detectors.email import EmailDetector


def test_detect_emails():
    """Test that the email detector detects emails in the text."""
    detector = EmailDetector()

    text = (
        "My email is arkadiusz@borek.pw. My friend's email is arkadiusz.dump@pwr.edu.pl"
    )
    found_emails = detector.detect(text, dict())

    assert found_emails == [(12, 30, EmailDetection()), (53, 78, EmailDetection())]
