"""Unit tests for UserDetector."""

from src.detections import UserDetection
from src.detectors.user import UserDetector


def test_detect_users():
    """Test UserDetector."""
    detector = UserDetector()

    text = "My username is @john_smith. My friend's username is @jane_doe."
    found_users = detector.detect(text, dict())

    assert found_users == [(15, 26, UserDetection()), (52, 61, UserDetection())]
